Installieren einer bestimmten blender-Version

Die Manjaro Gnome Edition ist hier die Diskussionsplattform
Antworten
Benutzeravatar

Themen Author
malabarista
Neues Foren Mitglied
Neues Foren Mitglied
Beiträge: 3
Registriert: Montag 1. Februar 2021, 16:47
CPU: i5-3320M
GPU: i915
Kernel: 5.9.16-1
Desktop-Variante: XFCE
GPU Treiber: i915
Danksagung erhalten: 1 Mal

Installieren einer bestimmten blender-Version

#1

Beitrag von malabarista »

Hallo zusammen,

Ich möchte blender 2.79 installieren,weil ich diese Version auf meinem Hauptrechner habe. Angeboten wird in manjaro aber nur blender 2.91. Da die blender-Oberfläche ziemlich verschieden ist, möchte ich deshalb die etwas ältere Version.

Was kann ich da tun ?
Benutzeravatar

djeli
Forum Held
Forum Held
Beiträge: 673
Registriert: Samstag 21. Mai 2016, 12:12
GPU:
Kernel:
Desktop-Variante:
GPU Treiber:
Hat sich bedankt: 32 Mal
Danksagung erhalten: 71 Mal

Re: Installieren einer bestimmten blender-Version

#2

Beitrag von djeli »

Hallo
installiere dir "downgrade"

Code: Alles auswählen

sudo pacman -S downgrade
dann installiere "blender" die 2.91
dann

Code: Alles auswählen

sudo downgrade blender
und schaue welche alten Versionen dir angeboten werden.
wenn das programm nicht installiert ist kann er es nicht zurück stufen.

djeli
Benutzeravatar

Manfrago
Forum Gott
Forum Gott
Beiträge: 393
Registriert: Dienstag 8. Dezember 2020, 17:23
Wohnort: Lubeca
CPU: ausschließlich i7/ 3.Gen.
GPU: Intel/Nvidia
Kernel: 5.4
Desktop-Variante: 4x XFCE, 1x KDE
GPU Treiber: Nvidia-390xx / Optimus qt
Hat sich bedankt: 8 Mal
Danksagung erhalten: 61 Mal

Re: Installieren einer bestimmten blender-Version

#3

Beitrag von Manfrago »

malabarista hat geschrieben: Montag 1. Februar 2021, 17:00 .... möchte ich deshalb die etwas ältere Version...
Ich drücke dir mal die Daumen, das sich die aktuelle Blender Version auf eine Version aus September 2017 downgraden lässt.
Ungesicherte Daten sind unwichtige Daten. Niemals einer Befehlszeile vertrauen, ohne zu wissen, was diese bewirkt.

Josef_K
Forum Gott
Forum Gott
Beiträge: 317
Registriert: Mittwoch 18. Mai 2016, 16:08
CPU: AMD Phenom II P920
GPU: AMD RS880M
Kernel: 5.12
Desktop-Variante: XFCE mit Fish
GPU Treiber: free
Danksagung erhalten: 46 Mal

Re: Installieren einer bestimmten blender-Version

#4

Beitrag von Josef_K »

Zusätzlich zum eigentlich zu downgradenen Programm können weitere Programme betroffen sein. Hier sind es meist Librarys, die ein Programm benötigt. Die vorherige Version benötigt dann eine ältere Library, diese muss dann ebenfalls gedowngradet werden. Das wiederum kann weitere Programme beeinträchtigen, die die neuere Version der Library benötigen.

Neben Librarys können auch Konfigurationsdateien und -parameter betroffen sein, die durch ein Upgrade geändert wurden, und nach einem downgrade nicht mehr funktionieren, da die ältere Version des Programms diese nicht unterstützt.
Arch wiki

Ich arbeite seit ca. 15 Jahren mit Blender und habe mich einige Male mit einer geänderten Oberfläche anfreunden müssen.
;)
Benutzeravatar

Manfrago
Forum Gott
Forum Gott
Beiträge: 393
Registriert: Dienstag 8. Dezember 2020, 17:23
Wohnort: Lubeca
CPU: ausschließlich i7/ 3.Gen.
GPU: Intel/Nvidia
Kernel: 5.4
Desktop-Variante: 4x XFCE, 1x KDE
GPU Treiber: Nvidia-390xx / Optimus qt
Hat sich bedankt: 8 Mal
Danksagung erhalten: 61 Mal

Re: Installieren einer bestimmten blender-Version

#5

Beitrag von Manfrago »

Josef_K hat geschrieben: Montag 1. Februar 2021, 19:07 ....Neben Librarys können auch Konfigurationsdateien und -parameter betroffen sein, die durch ein Upgrade geändert wurden, und nach einem downgrade nicht mehr funktionieren, da die ältere Version des Programms diese nicht unterstützt...
Da ich noch nie in die Verlegenheit gekommen bin, ein Downgrade machen zu müssen, würde sich mir folgende Frage stellen: Schlägt die Downgrade Anweisung nur derzeit "machbare" Downgrades vor, oder - davon unberücksichtigt - willkürlich alle Versionen, die gefunden wurden?
Ungesicherte Daten sind unwichtige Daten. Niemals einer Befehlszeile vertrauen, ohne zu wissen, was diese bewirkt.
Benutzeravatar

djeli
Forum Held
Forum Held
Beiträge: 673
Registriert: Samstag 21. Mai 2016, 12:12
GPU:
Kernel:
Desktop-Variante:
GPU Treiber:
Hat sich bedankt: 32 Mal
Danksagung erhalten: 71 Mal

Re: Installieren einer bestimmten blender-Version

#6

Beitrag von djeli »

Beim Firefox lassen sich nur 1 oder 2 Versionen downgraden.
Ich denke das ist Begrenzt aus genannten Gründen.
Benutzeravatar

Manfrago
Forum Gott
Forum Gott
Beiträge: 393
Registriert: Dienstag 8. Dezember 2020, 17:23
Wohnort: Lubeca
CPU: ausschließlich i7/ 3.Gen.
GPU: Intel/Nvidia
Kernel: 5.4
Desktop-Variante: 4x XFCE, 1x KDE
GPU Treiber: Nvidia-390xx / Optimus qt
Hat sich bedankt: 8 Mal
Danksagung erhalten: 61 Mal

Re: Installieren einer bestimmten blender-Version

#7

Beitrag von Manfrago »

djeli hat geschrieben: Montag 1. Februar 2021, 22:01 ....Ich denke das ist Begrenzt aus genannten Gründen.
Danke für die Antwort,. Das hätte ich eigentlich auch so von einem effizienten Downgrade erwartet.
Ungesicherte Daten sind unwichtige Daten. Niemals einer Befehlszeile vertrauen, ohne zu wissen, was diese bewirkt.
Benutzeravatar

Themen Author
malabarista
Neues Foren Mitglied
Neues Foren Mitglied
Beiträge: 3
Registriert: Montag 1. Februar 2021, 16:47
CPU: i5-3320M
GPU: i915
Kernel: 5.9.16-1
Desktop-Variante: XFCE
GPU Treiber: i915
Danksagung erhalten: 1 Mal

Re: Installieren einer bestimmten blender-Version

#8

Beitrag von malabarista »

Danke für die Tipps. Das "downgrading-Problem" war mir bekannt...und deshalb war ich so vorsichtig und habe erstmal gefragt.

Aber blender selbst bietet Hilfe an:
man kann sich eine beliebig alte blender-Version von dort downladen und entpacken. Sie ist anscheinend voll funktionsfähig, da alle notwendigen Libraries dabei sind. Sie ist auf Anhieb gelaufen.
:)
Antworten